Loading...
Searching...
No Matches
libm2k::analog::M2kPowerSupply Class Referenceabstract
Analog » PowerSupply

Controls the power supply. More...

`#include <libm2k/analog/m2kpowersupply.hpp>`

## Public Member Functions

virtual void | enableChannel (unsigned int chn, bool en)=0
| Enable or disable the given channel.
virtual void | enableAll (bool en)=0
| Enable or disable all channels.
virtual double | readChannel (unsigned int chn, bool calibrated=true)=0
| Retrieve the value of a given channel.
virtual void | pushChannel (unsigned int chn, double value, bool calibrated=true)=0
| Set the voltage for the given channel.
virtual bool | anyChannelEnabled ()=0
| Check if there is at least one enabled channel.

## Detailed Description

Controls the power supply.

The documentation for this class was generated from the following file:

- m2kpowersupply.hpp